//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.file;

import org.json.simple.JSONObject;

public class UPFile {

	private String id, desc, fileExtension, dls, admin, privacy, filename,
			date, lastdownload, size;
	private boolean ddl;
	
	public UPFile()
	{
		
	}
	
	public UPFile(JSONObject json)
	{
		parseJSON(json);
	}
	
	

	private void parseJSON(JSONObject json) {
		
		id = json.get("id").toString();
		
	//	desc = json.get("desc").toString();
		fileExtension = json.get("file_extension").toString();
		dls = json.get("dls").toString();
		admin = json.get("admin").toString();
		privacy = json.get("privacy").toString();
		filename = json.get("filename").toString();
		date = json.get("date").toString();
		lastdownload = json.get("lastdownload").toString();
		size = json.get("size").toString();
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}

	/**
	 * @return the fileExtension
	 */
	public String getFileExtension() {
		return fileExtension;
	}

	/**
	 * @return the dls
	 */
	public String getDls() {
		return dls;
	}

	/**
	 * @return the admin
	 */
	public String getAdmin() {
		return admin;
	}

	/**
	 * @return the privacy
	 */
	public String getPrivacy() {
		return privacy;
	}

	/**
	 * @return the filename
	 */
	public String getFilename() {
		return filename;
	}

	/**
	 * @return the date
	 */
	public String getDate() {
		return date;
	}

	/**
	 * @return the lastdownload
	 */
	public String getLastdownload() {
		return lastdownload;
	}

	/**
	 * @return the size
	 */
	public String getSize() {
		return size;
	}

	/**
	 * @return the ddl
	 */
	public boolean isDdl() {
		return ddl;
	}

}
