//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.file;

import java.io.IOException;
import java.io.OutputStream;

public class UPOutputStream extends OutputStream {

	private OutputStream out = null;
	private UPUpload upUpload = null;
	
	public UPOutputStream(OutputStream out, UPUpload upUpload)
	{
		this.out = out;
		this.upUpload = upUpload;
	}	
	
	/* (non-Javadoc)
	 * @see java.io.OutputStream#write(byte[], int, int)
	 */
	@Override
	public void write(byte[] b, int off, int len) throws IOException {
		out.write(b, off, len);
		
		upUpload.updateProgressByte(len);
	}



	@Override
	public void write(int b) throws IOException {
		out.write(b);
		
		upUpload.updateProgressByte(1);
	}

}
