//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.folder;

import org.json.simple.JSONObject;

public class UPFolder {
	
	private String id, title;
	private boolean isPublic;
	private int filesCount;
	
	public UPFolder(JSONObject json)
	{
		parseJSON(json);
	}
	
	private void parseJSON(JSONObject json)
	{
		id = json.get("id").toString();
		title = json.get("title").toString();
		
		filesCount = Integer.parseInt((String) json.get("files"));
		
		isPublic = (Boolean) json.get("ispublic");
	}
	
	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @return the isPublic
	 */
	public boolean isPublic() {
		return isPublic;
	}

	/**
	 * @return the filesCount
	 */
	public int getFilesCount() {
		return filesCount;
	}
}
