//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.folder;

import java.util.ArrayList;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

public class UPFolderList extends ArrayList<UPFolder> {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 802582488021803718L;

	/**
	 * Findet einen Ordner anhand der Folder-ID
	 * @param id Folder ID
	 * @return
	 */
	public UPFolder findId(String id)
	{
		for(int i = 0, c = size(); i < c; i++)
		{
			if(get(i).getId().equals(id))
				return get(i);
		}
		
		return null;
	}
	
	/**
	 * Findet ersten Ordner anhand des Ordnernamens
	 * @param title Ordnername
	 * @return
	 */
	public UPFolder findTitle(String title)
	{
		for(int i = 0, c = size(); i < c; i++)
		{
			if(get(i).getTitle().equals(title))
				return get(i);
		}
		
		return null;
	}
	
	public static UPFolderList parseJSON(JSONArray json)
	{
		UPFolderList upFolderList = new UPFolderList();
		
		for(int i = 0, c = json.size(); i < c; i++)
		{
			upFolderList.add(new UPFolder((JSONObject)json.get(i)));
		}		
		
		return upFolderList;
	}

}
